Page MenuHomeFreeBSD

Add SPDX tags to example manual pages in share/examples/mdoc/
ClosedPublic

Authored by 0mp on Apr 4 2018, 12:18 AM.

Details

Summary

I thought that it might be useful to have the SPDX tags included in the examples of manual pages.

I also added an SPDX tag to share/examples/mdoc/POSIX-copyright. It's worth noting that the link referenced in the POSIX-copyright file is dead (http://www.opengroup.org/unix/online.html).

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

0mp created this revision.Apr 4 2018, 12:18 AM
0mp added a comment.May 8 2018, 7:55 PM
This comment was removed by 0mp.
imp added a comment.May 9 2018, 3:32 AM

You'll need to rebase after my push. Sorry.

sevan added a subscriber: sevan.May 20 2018, 12:02 PM

Re opengroup link. The earliest archived version on archive.org is from 1999 & that redirects to http://www.UNIX-systems.org/online.html, Not sure where to fish out the IEEE Std 1003.1, 2004 Edition details from there though.

eadler accepted this revision.Jun 18 2018, 2:28 AM
eadler added a subscriber: eadler.
eadler added inline comments.
examples/mdoc/POSIX-copyright
2

This is a little different since it includes POSIX references, but I'm not sure that's part of the copyright.

This revision is now accepted and ready to land.Jun 18 2018, 2:28 AM
0mp added inline comments.Jul 19 2018, 1:16 PM
examples/mdoc/POSIX-copyright
2

Should I skip it for the time being?

0mp updated this revision to Diff 45539.Jul 19 2018, 1:24 PM

Reupload the patch using Arcanist.

This revision now requires review to proceed.Jul 19 2018, 1:24 PM
mat accepted this revision as: mat.Jul 20 2018, 11:35 AM
mat added a subscriber: mat.

Seems to have been accepted by a docs committer, so ok.

This revision is now accepted and ready to land.Jul 20 2018, 11:35 AM
This revision was automatically updated to reflect the committed changes.